{% extends "account/base.html" %}
{% load i18n staticfiles %}
{% block head_title %}{% trans "Ubah Password" %} :: {{ block.super }}{% endblock %}

{% block content %}
  <div uk-grid>
    <div class="uk-width-1-1">
      <div class="uk-margin uk-text-center uk-flex uk-flex-center uk-flex-middle">
        <div class="uk-margin-auto uk-width-1-3@s uk-card uk-card-body">
          <div class="uk-flex uk-flex-center uk-flex-middle">
            <a href="/" class="spf-link">
              <canvas width="100" uk-svg="" src="{% static 'images/logos/svg/logo-150x150.svg' %}" style="color: #1e87f0" hidden="true"></canvas>
            </a>
          </div>

          <h5 class="uk-margin-small uk-heading-line uk-text-center">
            <span>{% if token_fail %}{% trans "Token Salah" %}{% else %}{% trans "Ubah Password" %}{% endif %}</span>
          </h5>

          {% if form.non_field_errors %}
            {% if form.non_field_errors|length > 1 %}
              <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                {% for error in form.non_field_errors %}
                  <li class="uk-text-warning">{{ error }}</li>
                {% endfor %}
              </ol>
            {% else %}
              <div class="uk-text-small uk-text-warning">
                {{ form.non_field_errors|first }}
              </div>
            {% endif %}
          {% endif %}

          {% if token_fail %}
            <div class="uk-margin">
              <div class="uk-text-small uk-text-warning">
                {% url 'account_reset_password' as passwd_reset_url %}
                <p>{% blocktrans %}Link reset password tidak valid, mungkin karena sudah digunakan. Silahkan minta <a href="{{ passwd_reset_url }}">reset password yang baru</a>.{% endblocktrans %}</p>
              </div>
            </div>
          {% else %}
            {% if form %}
              <form class="uk-form" method="post" action="{{ action_url }}">
                {% csrf_token %}
                <div class="uk-margin">
                  <div class="uk-text-small uk-text-warning">
                    <p>{% blocktrans with confirmation.email_address.email as email %}Mohon konfirmasi bahwa <a href="mailto:{{ email }}">{{ email }}</a> merupakan alamat email untuk pengguna {{ user_display }}.{% endblocktrans %}</p>
                  </div>
                </div>
                <div class="uk-margin">
                  <input class="uk-width-1-1 uk-input" name="password1" type="password" placeholder="{% trans 'Password Baru' %}" required>
                  {% if form.password1.errors %}
                    {% if form.password1.errors|length > 1 %}
                      <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                        {% for error in form.password1.errors %}
                          <li class="uk-text-warning">{{ error }}</li>
                        {% endfor %}
                      </ol>
                    {% else %}
                      <div class="uk-text-small uk-text-left uk-text-warning">
                        {{ form.password1.errors|first }}
                      </div>
                    {% endif %}
                  {% endif %}
                </div>
                <div class="uk-margin">
                  <input class="uk-width-1-1 uk-input" name="password2" type="password" placeholder="{% trans 'Password Baru (lagi)' %}" required>
                  {% if form.password2.errors %}
                    {% if form.password2.errors|length > 1 %}
                      <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                        {% for error in form.password2.errors %}
                          <li class="uk-text-warning">{{ error }}</li>
                        {% endfor %}
                      </ol>
                    {% else %}
                      <div class="uk-text-small uk-text-left uk-text-warning">
                        {{ form.password2.errors|first }}
                      </div>
                    {% endif %}
                  {% endif %}
                </div>
                <div class="uk-margin">
                  <button class="uk-width-1-1 uk-button uk-button-primary"
                    type="submit" name="action">{% trans "Ubah Password" %}</button>
                </div>
              </form>
            {% else %}
              <div class="uk-margin">
                <div class="uk-text-small uk-text-warning">
                  <p>{% trans "Kata sandi Anda sekarang berubah." %}</p>
                </div>
              </div>
            {% endif %}
          {% endif %}
        </div>
      </div>
    </div>
  </div>
{% endblock %}
